<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/cloud"
    tools:context="com.example.lotus.garudav3.SearchResult">

    <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:orientation="vertical"
                app:layout_behavior="@string/appbar_scrolling_view_behavior"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">


                <android.support.v7.widget.Toolbar
                    android:id="@+id/toolbar"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    android:theme="@style/AppTheme.AppBarOverlay"
                    app:popupTheme="@style/AppTheme.PopupOverlay" >

                    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                        android:id="@+id/ActionBarWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Fill Booking Details"
                            android:layout_gravity="left"
                            android:textSize="20dp"
                            android:textColor="#ffffff"
                            android:textAlignment="gravity"
                            />
                    </LinearLayout>
                </android.support.v7.widget.Toolbar>

                <RelativeLayout
                    android:layout_marginTop="50dp"
                    android:layout_width="match_parent"
                    android:id="@+id/top_section"
                    android:focusableInTouchMode="true"
                    android:layout_height="370dp">

                    <RelativeLayout
                        android:id="@+id/list_route"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentTop="true"
                        android:layout_alignParentStart="true">

                        <TextView
                            android:id="@+id/departure_port"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="48sp"
                            android:layout_marginStart="20dp"
                            android:layout_marginTop="25dp"
                            android:text="CGK"
                            android:textStyle="bold"
                            android:textColor="#ffffff"/>

                        <TextView
                            android:id="@+id/departure"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/departure_port"
                            android:layout_alignStart="@id/departure_port"
                            android:textSize="14sp"
                            android:layout_marginStart="5dp"
                            android:layout_marginTop="-5dp"
                            android:textColor="#ffffff"
                            android:text="Terminal" />

                        <TextView
                            android:id="@+id/summary_book"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="12sp"
                            android:textColor="#ffffff"
                            android:layout_marginTop="40dp"
                            android:text="Sat, 3 Oct, 1 pax"
                            android:layout_centerHorizontal="true" />

                        <ImageView
                            android:layout_width="90dp"
                            android:layout_below="@+id/summary_book"
                            android:layout_height="15dp"
                            android:layout_marginTop="1dp"
                            android:src="@drawable/combined_shape"
                            android:layout_centerHorizontal="true" />

                        <TextView
                            android:id="@+id/arrival_port"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="48sp"
                            android:layout_marginTop="25dp"
                            android:layout_marginEnd="20dp"
                            android:textStyle="bold"
                            android:layout_alignParentEnd="true"
                            android:text="DXB"
                            android:textColor="#ffffff"/>

                        <TextView
                            android:id="@+id/arrival"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignStart="@+id/arrival_port"
                            android:layout_marginStart="5dp"
                            android:gravity="left"
                            android:layout_marginTop="-5dp"
                            android:layout_below="@+id/arrival_port"
                            android:textSize="14sp"
                            android:textColor="#ffffff"
                            android:text="Terminal" />

                    </RelativeLayout>

                </RelativeLayout>

                <TextView
                    android:id="@+id/timerTv"
                    android:textColor="#ffffff"
                    android:layout_width="wrap_content"
                    android:layout_above="@+id/top_card"
                    android:layout_marginBottom="230dp"
                    android:layout_marginStart="20dp"
                    android:layout_height="wrap_content" />

                <android.support.v7.widget.CardView
                    android:id="@+id/top_card"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-220dp"
                    android:layout_below="@id/top_section"
                    android:background="#ffffff">

                    <RelativeLayout
                        android:id="@+id/book_detail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingBottom="16dp"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:paddingTop="16dp">

                        <RelativeLayout
                            android:id="@+id/top_section2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:padding="10dp">

                            <ImageView
                                android:id="@+id/logo"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="-3dp"
                                android:src="@drawable/logo" />

                            <TextView
                                android:id="@+id/name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentTop="true"
                                android:layout_centerVertical="true"
                                android:layout_marginStart="10dp"
                                android:layout_toEndOf="@+id/logo"
                                android:text="Garuda"
                                android:textColor="#000000"
                                android:textSize="20dp"
                                android:textStyle="bold" />

                            <TextView
                                android:id="@+id/price_real"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:text="Rp 401.500"
                                android:textColor="#4ea0e3"
                                android:textSize="20dp"
                                android:textStyle="bold" />

                        </RelativeLayout>

                        <LinearLayout
                            android:id="@+id/bottom_section"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/top_section2"
                            android:orientation="horizontal"
                            android:paddingLeft="10dp"
                            android:paddingRight="10dp"
                            android:paddingTop="10dp">

                            <TextView
                                android:id="@+id/time"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="0.2"
                                android:text="05.00-06.30"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/price"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:layout_weight="0.2"
                                android:text="1h 20m"
                                android:textAlignment="center"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/duration"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:layout_weight="0.2"
                                android:text="Direct"
                                android:textAlignment="center"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/point"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="10dp"
                                android:layout_weight="0.2"
                                android:text="Earn 40 points"
                                android:textAlignment="textEnd"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <View
                            android:id="@+id/top_border"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_below="@+id/bottom_section"
                            android:layout_marginTop="20dp"
                            android:background="#d8d8d8" />

                        <LinearLayout
                            android:id="@+id/book_profile"
                            android:layout_width="match_parent"
                            android:layout_below="@+id/top_border"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:paddingRight="10dp"
                            android:orientation="vertical"
                            android:layout_height="wrap_content">

                            <TextView
                                android:id="@+id/refund_availability"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="sans-serif"
                                android:text="Refund avaliability is subject to airline policy"
                                android:textColor="#8d9298"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#383838"
                                android:layout_marginTop="20dp"
                                android:textSize="14sp"
                                android:text="Contact Details"/>

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_height="wrap_content">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="#383838"
                                    android:text="MR. ARNOLD WHITE"
                                    android:textSize="14sp"
                                    android:textStyle="bold" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_marginTop="5dp"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentEnd="true"
                                    android:textColor="#0065b3"
                                    android:text="EDIT"
                                    android:textSize="14sp"
                                    android:textStyle="bold" />

                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_marginTop="16dp"
                                android:layout_height="wrap_content">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_marginTop="5dp"
                                    android:layout_height="wrap_content"
                                    android:textColor="#8d9298"
                                    android:text="Mobile Number"
                                    android:textSize="14sp" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_marginTop="5dp"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentEnd="true"
                                    android:textColor="#8d9298"
                                    android:text="+1 930 987 29 11"
                                    android:textSize="14sp" />

                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_height="wrap_content">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_marginTop="5dp"
                                    android:layout_height="wrap_content"
                                    android:textColor="#8d9298"
                                    android:text="Email"
                                    android:textSize="14sp" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_marginTop="5dp"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentEnd="true"
                                    android:textColor="#8d9298"
                                    android:text="arnold.white@nextapp.us"
                                    android:textSize="14sp" />

                            </RelativeLayout>

                        </LinearLayout>

                        <View
                            android:id="@+id/bottom_border"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_below="@+id/book_profile"
                            android:layout_marginTop="20dp"
                            android:background="#d8d8d8" />

                        <LinearLayout
                            android:layout_below="@+id/bottom_border"
                            android:layout_width="wrap_content"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:paddingRight="10dp"
                            android:paddingBottom="10dp"
                            android:layout_height="wrap_content">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:src="@drawable/add"
                                android:layout_height="wrap_content" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="ADD TO PASSENGER LIST"
                                android:textSize="14sp"
                                android:textColor="#0065b3"
                                android:layout_marginStart="10dp"
                                android:layout_gravity="center"
                                android:textStyle="bold"/>

                        </LinearLayout>
                    </RelativeLayout>
                </android.support.v7.widget.CardView>

                <android.support.v7.widget.CardView
                    android:id="@+id/middle_card"
                    android:layout_width="match_parent"
                    android:background="#2f3565"
                    android:layout_below="@+id/top_card"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:background="#2f3565"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:paddingTop="16dp"
                        android:orientation="vertical"
                        android:layout_height="wrap_content">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="14sp"
                            android:paddingLeft="10dp"
                            android:paddingTop="10dp"
                            android:textColor="#ffffff"
                            android:text="Flight Facilities" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#ffffff"
                            android:text="Bagagge"
                            android:paddingLeft="10dp"
                            android:textSize="14sp"
                            android:layout_marginTop="20dp"/>

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:paddingLeft="10dp"
                            android:paddingRight="20dp"
                            android:layout_height="wrap_content">

                            <TextView
                                android:id="@+id/bagagge"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#ffffff"
                                android:layout_marginTop="5dp"
                                android:text="YYZ - BXB"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_marginTop="5dp"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:textColor="#ffffff"
                                android:text="30 kg"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                        </RelativeLayout>

                        <TextView
                            android:id="@+id/passenger_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:paddingBottom="10dp"
                            android:textColor="#ffffff"
                            android:text="Mr. Arnold White"
                            android:textSize="14sp"/>

                        <View
                            android:id="@+id/purple_top_border"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginTop="20dp"
                            android:background="#ffffff" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:text="Available Add-on(s)"
                            android:textColor="#ffffff"
                            android:textSize="14sp"/>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:paddingRight="10dp"
                            android:layout_height="wrap_content">

                            <CheckBox
                                android:id="@+id/travel_insurance"
                                android:buttonTint="@android:color/white"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content" />
                            <!---->
                            <!--<ImageView-->
                            <!--android:layout_width="wrap_content"-->
                            <!--android:src="@drawable/checkbox_outline"-->
                            <!--android:layout_height="wrap_content" />-->

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="ADD TRAVEL INSURANCE CHUBB"
                                android:textSize="14sp"
                                android:textColor="#ffffff"
                                android:layout_marginStart="10dp"
                                android:layout_gravity="center"
                                android:textStyle="bold"/>

                        </LinearLayout>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="14sp"
                            android:paddingLeft="10dp"
                            android:layout_marginTop="20dp"
                            android:paddingRight="10dp"
                            android:fontFamily="sans-serif"
                            android:textStyle="normal"
                            android:textColor="#ffffff"
                            android:lineSpacingExtra="6sp"
                            android:text="Up to Rp 250 million coverage for accidents, up to Rp 20 million for trip cancellation, and up to Rp 3 million for flight or baggage delay.
                        \n\nBy purchasing this insurance, you agree to all of the conditions stipulated by CHUBB" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:paddingLeft="10dp"
                            android:layout_marginTop="20dp"
                            android:paddingRight="20dp"
                            android:paddingBottom="20dp"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#ffffff"
                                android:text="Rp 26.000 /pax"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:textColor="#32dcff"
                                android:text="INFO"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                        </RelativeLayout>
                    </LinearLayout>
                </android.support.v7.widget.CardView>

                <android.support.v7.widget.CardView
                    android:id="@+id/bottom_card"
                    android:layout_below="@+id/middle_card"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:id="@+id/bottom_section_dua"
                        android:layout_width="match_parent"
                        android:background="#ffffff"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:orientation="vertical"
                        android:layout_height="wrap_content">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="10dp"
                            android:text="Price Details"
                            android:layout_marginTop="20dp"
                            android:textColor="#383838"
                            android:textSize="14sp"/>

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_marginTop="20dp"
                            android:paddingLeft="10dp"
                            android:paddingRight="16dp"
                            android:paddingBottom="10dp"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#8d9298"
                                android:text="Total"
                                android:textSize="14sp" />

                            <TextView
                                android:id="@+id/price_total"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:textColor="#383838"
                                android:textStyle="bold"
                                android:text="Rp 401.500"
                                android:textSize="20sp" />

                        </RelativeLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginTop="20dp"
                            android:background="#d8d8d8" />

                        <TextView
                            android:id="@+id/this_account"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="10dp"
                            android:layout_marginTop="20dp"
                            android:lines="2"
                            android:textColor="#0065b3"
                            android:textSize="16sp"
                            android:text="This account (arnold.white@nextapp.us)\nwill earn 20 Points"/>

                        <Button
                            android:id="@+id/continue_book"
                            android:layout_gravity="center"
                            android:layout_marginTop="30dp"
                            android:layout_width="344dp"
                            android:layout_height="52dp"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            android:textColor="#ffffff"
                            android:background="@drawable/button_continue"
                            android:layout_marginBottom="12dp"
                            android:text="Continue"
                            android:textAllCaps="false"
                            />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentBottom="true"
                            android:text="@string/copyright"
                            android:layout_marginBottom="10dp"
                            android:textColor="#383838"
                            android:textSize="10sp" />

                    </LinearLayout>

                </android.support.v7.widget.CardView>

            </RelativeLayout>

        </android.support.v4.widget.NestedScrollView>

</android.support.design.widget.CoordinatorLayout>